Seafile community edition 9.0.2 is ready!

Thanks for the solution, but unfortunately it didn’t work for me.

Hi there,

I tried to build latest 9.0.2 inside podman running on my raspiOS 64 bit.

The build stopps at running the patch with following output:

-> Applying patch file from /opt/build-server.py.patch...

+ patch -N -b /opt/haiwen-build/seafile-server/scripts/build/build-server.py /opt/build-server.py.patch
patching file /opt/haiwen-build/seafile-server/scripts/build/build-server.py
Hunk #1 FAILED at 25.
Hunk #2 FAILED at 539.
Hunk #3 FAILED at 622.
Hunk #4 FAILED at 785.
Hunk #5 FAILED at 806.
5 out of 5 hunks FAILED -- saving rejects to file /opt/haiwen-build/seafile-server/scripts/build/build-server.py.rej
patch: **** Can't reopen file /opt/haiwen-build/seafile-server/scripts/build/build-server.py : No such file or directory

At Version 9.0.1 the buildscript runs smoothly.

Any suggestions? Are there any additional dependencies that should be resolved before the build?

The build-server.py script is moved to seahub project (same relative path).

Inside podman container the https://raw.githubusercontent.com/haiwen/seafile-rpi/master/build.sh script runs successfully on my raspi-os arm64.
But the resulting seafile-server-9.0.2.tar.gz archive has no sql folder with required sql files to set up the database tables.

So the setup-seafile-mysql.sh script throws an error at this step:

Generating seahub configuration ...

----------------------------------------
Now creating ccnet database tables ...

----------------------------------------
Traceback (most recent call last):
  File "/home/seafile/seafile-server-9.0.2/setup-seafile-mysql.py", line 1594, in <module>
    main()
  File "/home/seafile/seafile-server-9.0.2/setup-seafile-mysql.py", line 1550, in main
    ccnet_config.do_syncdb()
  File "/home/seafile/seafile-server-9.0.2/setup-seafile-mysql.py", line 898, in do_syncdb
    with open(sql_file, 'r') as fp:
FileNotFoundError: [Errno 2] No such file or directory: '/home/seafile/seafile-server-9.0.2/sql/mysql/ccnet.sql'

It seems that the tar process has something to do with that, because the build folders do contain these sql-files. The tar-archive does not…

The database issue is already discussed here: https://github.com/haiwen/seahub/pull/5073

Is there any fix yet for the download of .zip files with the golang file server discussed earlier in this thread?

1 Like

With option “use_go_fileserver = true” big ISO files (5.5 GB) after upload and download changes HASH. Files are broken.

Without this option the same files uploaded and downloaded well.

Did you try it once or multiple times? On which hardware? Using which upload method (web, client, webdav)?

Multiple times. Two different ISO file. Upload via web.
Ubuntu Server 18.04.4 LTS

You said this :

For me, it was this :

export PYTHONPATH=${INSTALLPATH}/seafile/lib/python3.6/site-packages:${INSTALLPATH}/seahub:${INSTALLPATH}/seahub/thirdpart:$PYTHONPATH

Hi,
does Open Cloud Mesh fully implemented in this release ?
I administrate 10 Seafile community servers, having OCM working will save us so much time.
Thanks again for this great piece of software.

OCM between Seafile servers works for the web interface. But syncing and seadrive doesn’t work with OCM yet.

We tested locally but cannot reproduce your issue. Have you check for error messages in fileserver.log on the server? Have you run fsck on the library?

Hello here !
I’m currently trying to install SeaFile 9.0.2 on a Raspberry Pi 3, running with Buster.
I followed steps found in a tutorial online (medium dot com, not allowed to add links…).
Seafile server itself seems to be working fine, but my issue occurs when launching seahub. It seems my problem is kind of similar to the ones described here, but I found another older subject on this forum which exactly what I have (post ID is 12441, again can’t add links here…).
Unfortunately, none of the workarounds worked for me :frowning:

Here is the log I get when I run seahub with start-fastcgi mode:

LC_ALL is not set in ENV, set to en_US.UTF-8
Starting seahub (fastcgi) at 127.0.0.1:8000 ...
Traceback (most recent call last):
  File "/seafile/seafile-server-9.0.2/seahub/seahub/avatar/models.py", line 23, in <module>
    from PIL import Image
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/PIL/Image.py", line 89, in <module>
    from . import _imaging as core
ImportError: libopenjp2.so.7: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/seafile/seafile-server-9.0.2/seahub/manage.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/django/core/management/__init__.py", line 419, in execute_from_command_line
    utility.execute()
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/django/core/management/__init__.py", line 395, in execute
    django.setup()
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/django/__init__.py", line 24, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/django/apps/registry.py", line 114, in populate
    app_config.import_models()
  File "/seafile/seafile-server-9.0.2/seahub/thirdpart/django/apps/config.py", line 301, in import_models
    self.models_module = import_module(models_module_name)
  File "/usr/lib/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/seafile/seafile-server-9.0.2/seahub/seahub/avatar/models.py", line 26, in <module>
    import Image
ModuleNotFoundError: No module named 'Image'
Error:Seahub failed to start.

Could anybody help me with this ?

Thanks a lot in advance !
Brice

Hi !

I went for a little digging into seahub.sh script.

At the line where PYTHONPATH is set, there is a link to a folder called lib64, which does not exist in SeaFile release for Raspberry Pi (architecture ARMV7 in my case).
So I modified the seahub.sh script to call for
${INSTALLPATH}/seafile/lib/python3.7/site-packages
instead of
${INSTALLPATH}/seafile/lib64/python3/site-packages

Now my issue is the following:

Traceback (most recent call last):
  File "/seafile/seafile-server-9.0.2/check_init_admin.py", line 19, in <module>
    from seaserv import ccnet_api
ModuleNotFoundError: No module named 'seaserv'

Which is kind of normal as the script creates a PYTHONPATH environment variable that does not include a path to embedded Python libraries.

Then I’m guessing that there is something wrong with Python version or modules versions…

I also renamed PIL and Crypto in thirdpart folder of seahub as mentionned somewhere on this forum, which seems to have no effect in my case.

Any clue ?
Thanks !

Hi!
I eventually got it working ! :hugs:
I was missing libopenjp2-7, so after installing it it worked !

Then to sum up the only issue I had was the wrong path in PYTHONPATH setting in seahub.sh.
It is pointing to lib64 folder but it is not present. By changing the path to point to lib folder instead of lib64, it works.

Hope this can be usefull to others :wink:

Have a great day!
Brice

There was a announcement of the Raspberry Pi here. The Seafile Server is absolutely the same source code than the amd64 version, but the built script is another. Therefore, could you pls list the contents of /home/seafile/seafile-server-9.0.2/seafile/lib, /home/seafile/seafile-server-9.0.2/seafile/lib/python3 and /home/seafile/seafile-server-9.0.2/seafile/lib/python3.* ?
Thanks.

I’ll try repeat after fsck…

Raspberry pie 4B 8GB/
Ubuntu Server 20.04.3 64Bit
seafile-server-9.0.2-focal-arm64v8l. tar. gz

There is no need to modify PYTHONPATH. The lib64 directory has no effect. It seems that Python 3.8 problems caused by MySQLdb support. The MySQLdb directory is incorrectly brought in. Delete or modify this directory to run seahub.sh normally.
#mv /opt/seafile/seafile-server-9.0.2/seahub/thirdpart/MySQLdb MySQLdb.old

you need to install the libmemcached-dev package. Otherwise, the installation of pylibmc dependency package will report an error.
apt-get install libmemcached-dev -y